/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
.inside-right-sidebar {
    position: -webkit-sticky;
    position: sticky;
}
.inside-right-sidebar aside {
    padding: 0 !important;
}
ul.wp-block-latest-posts__list{
	display: flex;
    flex-direction: column;
    grid-gap: 30px;
	background: #efefef;
    padding: 20px;
}
ul.wp-block-latest-posts__list li {
    position: relative !important;
	margin: 0 !important;
}
ul.wp-block-latest-posts__list li a {
    color: #000;
    font-weight: bold;
    display: block;
}
ul.wp-block-latest-posts__list li:not(:last-child)::after {
    position: absolute;
	content: "";
	width: 40%;
	height: 2px;
	background: white;
	bottom: -15px;
}

@media (max-width: 766.9px){
	ul.wp-block-latest-posts__list li a {
		font-size: 2.73vw;
	}
}
@media (min-width: 767px) and (max-width: 899.9px){
	ul.wp-block-latest-posts__list li a {
		font-size: 1.96vw;
	}
}
@media (max-width: 899.9px){
	div#right-sidebar {
		display: none !important;
	}
}
@media (min-width: 900px) {
	div#right-sidebar {
		margin-top: 40px;
	}
}
@media (min-width: 900px) and (max-width: 1099.9px){
	.inside-right-sidebar {
		top: 11vw;
	}
	h2.wp-block-heading {
		font-size: 3.9vw;
		line-height: 4.2vw;
	}
	ul.wp-block-latest-posts__list li a {
		font-size: 1.67vw;
		line-height: 2vw;
	}
}
@media (min-width: 1100px) and (max-width: 1400px){
	.inside-right-sidebar {
		top: 10vw;
	}
	h2.wp-block-heading {
		font-size: 3.19vw;
	}
	ul.wp-block-latest-posts__list li a {
		font-size: 1.37vw;
		line-height: 1.6vw;
	}
}
@media (min-width: 1401px){
	.inside-right-sidebar {
		top: 105px;
	}
	ul.wp-block-latest-posts__list li a {
		font-size: 15px;
		line-height: 18px;
	}
}